## python-airr 1.3.1

=== requirements.txt ===
pandas>= 0.18.0
pyyaml>=3.12
yamlordereddictloader>=0.4.0
setuptools>=2.0

## python-airr 1.2.1

=== debian/changelog ===
python-airr (1.2.1-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

  [ Andreas Tille ]
  * Use Debian Python Modules Team as maintainer
  * Activate Testsuite: autopkgtest-pkg-python
  * debhelper 12
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Binary package in section python
  * Add primitive auto-generated manpage

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 08:40:19 +0100

python-airr (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #913805)

  * Some good soul please address the tests. They seem fine when started
    as "setup.py test" directly.

 -- Steffen Moeller <moeller@debian.org>  Thu, 15 Nov 2018 14:40:07 +0100

=== debian/control ===
Source: python-airr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all,
               python3-setuptools (>= 2.0),
               python3-pandas (>= 0.18.0),
               python3-yaml (>=3.12),
               python3-yamlordereddictloader
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/airr
Vcs-Git: https://salsa.debian.org/python-team/modules/airr.git
Homepage: http://docs.airr-community.org/en/latest/packages/airr-python/overview.html

Package: python3-airr
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Data Representation Standard library for antibody and TCR sequences
 This package provides a library by the AIRR community to for describing,
 reporting, storing, and sharing adaptive immune receptor repertoire
 (AIRR) data, such as sequences of antibodies and T cell receptors
 (TCRs). Some specific efforts include:
  * The MiAIRR standard for describing minimal information about AIRR
    datasets, including sample collection and data processing information.
  * Data representations (file format) specifications for storing large
    amounts of annotated AIRR data.
  * APIs for exposing a common interface to repositories/databases
    containing AIRR data.
  * A community standard for software tools which will allow conforming
    tools to gain community recognition.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=airr

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	@echo "Upstream source is lacking data file tests/data/good_data.tsv so we can not test."
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf airr.egg-info/

## python-airr 1.3.0

=== debian/changelog ===
python-airr (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field. (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 10 Jun 2020 01:12:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-setuptools (>= 2.0),
+               python3-setuptools,
                python3-pandas (>= 0.18.0),
                python3-yaml (>=3.12),
                python3-yamlordereddictloader
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/airr
 Vcs-Git: https://salsa.debian.org/python-team/modules/airr.git
-Homepage: http://docs.airr-community.org/en/latest/packages/airr-python/overview.html
+Homepage: https://docs.airr-community.org/en/latest/packages/airr-python/overview.html
+Rules-Requires-Root: no
 
 Package: python3-airr
 Architecture: all

## python-airr 1.3.1

=== debian/changelog ===
python-airr (1.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Dec 2020 17:28:55 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                python3-pandas (>= 0.18.0),
                python3-yaml (>=3.12),
                python3-yamlordereddictloader
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/airr
-Vcs-Git: https://salsa.debian.org/python-team/modules/airr.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/airr
+Vcs-Git: https://salsa.debian.org/python-team/packages/airr.git
 Homepage: https://docs.airr-community.org/en/latest/packages/airr-python/overview.html
 Rules-Requires-Root: no

## python-airr 1.5.0

=== debian/changelog ===
python-airr (1.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-pandas and
      python3-yaml.

  [ Andreas Tille ]
  * Set DPT as maintainer
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Replace SafeConfigParser deprecated in Python3.12
    Closes: #1058307

 -- Andreas Tille <tille@debian.org>  Fri, 22 Dec 2023 14:42:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-airr
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-pandas (>= 0.18.0),
-               python3-yaml (>=3.12),
+               python3-pandas,
+               python3-yaml,
                python3-yamlordereddictloader
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/airr
 Vcs-Git: https://salsa.debian.org/python-team/packages/airr.git
 Homepage: https://docs.airr-community.org/en/latest/packages/airr-python/overview.html

=== debian/watch ===
version=4
opts="repack,compression=gz" \
https://pypi.debian.net/airr/airr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-airr 1.5.1

=== requirements.txt ===
pandas>=0.24.0
pyyaml>=3.12
yamlordereddictloader>=0.4.0
setuptools>=2.0

=== debian/changelog ===
python-airr (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove old patch, applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 00:41:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pandas,
                python3-yaml,
                python3-yamlordereddictloader
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/airr
 Vcs-Git: https://salsa.debian.org/python-team/packages/airr.git
 Homepage: https://docs.airr-community.org/en/latest/packages/airr-python/overview.html

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=airr
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
